<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Crer un message de confirmation de l'insertion du VEVENT.</description>
<description lang="en">Makes a message to confirm insertion of the VEVENT element.</description>
<input use='yes'><match>message[@type='incoming' and header/subject/text()='place-event']</match></input>
<output list='yes'><match>message</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments'>
    <message type='outgoing'>
      <header>
        <to><xsl:value-of select='message/header/from/text()'/></to>
        <xsl:copy-of select='message/header/negociation'/>
        <xsl:copy-of select='message/header/attendee'/>
        <subject>place-event</subject>
        <type>answer</type>
      </header>
      <body>
      </body>
    </message>
  </xsl:template>

</xsl:transform>

