<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Dcider si la proposition value prcdemment par les invits est satisfaisante ou non.</description>
<description lang="en">Decides if previous proposition evaluated by attendees solve the negociation or not.</description>
<input id='nego'><match>negociation[@subject='event scheduling' and @status='to evaluate']</match></input>
<output outdates='nego'><match>negociation</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='//arguments'>
    <xsl:apply-templates select='negociation'/>
  </xsl:template>

  <xsl:template match='negociation'>
    <negociation>
      <xsl:copy-of select='@*'/>
      <xsl:attribute name='status'>
        <xsl:choose>
          <xsl:when test='not(cycle[last()]/evaluation/text()="0")'>accepted</xsl:when>
          <xsl:otherwise>failed</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
      <xsl:copy-of select='*'/>
    </negociation>
  </xsl:template>

</xsl:transform>

