<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Crer un XPath vers le vevent-tentative courant.</description>
<description lang="en">Makes a XPath to current vevent-tentative.</description>
<input use='yes'><match>negociation</match></input>
<output><match>xpath-location</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments'>
    <xpath-location nego-id='{negociation/@id}'>VCALENDAR/VEVENT[UID/text()='<xsl:value-of select='negociation/request/event-request/VEVENT/UID/text()'/>' and starts-with(SUMMARY/text(),'XXX')]</xpath-location>
  </xsl:template>

</xsl:transform>

