<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Rpondre au message reu.</description>
<description lang="en">Reply to incoming message.</description>
<input use='yes'><match>message[@type='incoming']</match></input>
<input id='body' optional='yes'/>
<output><match>message</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments'>
    <message type='outgoing'>
      <header>
        <to><xsl:value-of select='message/header/from/text()'/></to>
        <xsl:copy-of select='message/header/negociation'/>
        <xsl:copy-of select='message/header/attendee'/>
        <xsl:copy-of select='message/header/subject'/>
        <type>answer</type>
      </header>
      <body>
        <xsl:apply-templates select='*[@input-id="body"]'/>
      </body>
    </message>
  </xsl:template>

  <xsl:template match='*[@input-id="body"]'>
    <xsl:copy>
      <xsl:copy-of select='@*[name()!="from_plan" and name()!="eid" and name()!="from_step" and name()!="input-id" and name()!="timestamp"]|*|text()'/>
    </xsl:copy>
  </xsl:template>

</xsl:transform>
