<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Mettre  jour la structure de donnes de la ngociation pour entamer un nouveau tour d'valuation.</description>
<description lang="en">Updates the negociation data structure to begin a new evaluation round.</description>
<input id='nego'><match>negociation[@type='place-event' and @status='failed']</match></input>
<input use='yes'><match>event-proposal</match></input>
<output outdates='nego'><match>negociation</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='//arguments'>
    <xsl:apply-templates select='negociation'/>
  </xsl:template>

  <xsl:template match='negociation'>
    <negociation type='place-event' id='{@id}' status='waiting'>
      <xsl:copy-of select='request|attendee|cycle'/>
      <cycle><event-proposal>
        <xsl:copy-of select='../event-proposal/*'/>
      </event-proposal></cycle>
    </negociation>
  </xsl:template>

</xsl:transform>

