<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Slectionner les VEVENT d'un VcalXml ayant un SUMMARY commanant par 'XXX'.</description>
<description lang="en">Select VEVENTs in a VcalXml whose SUMMARY starts with 'XXX'.</description>
<input use='yes'><match>VCALENDAR</match></input>
<output list='yes' optional='yes'><match>event-request</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments'>
    <xsl:apply-templates select='VCALENDAR/VEVENT[starts-with(SUMMARY/text(),"XXX")]'/>
  </xsl:template>

  <xsl:template match='VEVENT'>
    <event-request>
      <xsl:copy-of select='.'/>
    </event-request>
  </xsl:template>

</xsl:transform>

